using Microsoft.Extensions.Logging;
using Xunit.Abstractions;

namespace TestProject1.XUnit.Logging;

internal static class XUnitLoggerExtensions
{
    public static ILoggingBuilder AddXUnitLogger(this ILoggingBuilder builder, ITestOutputHelper output)
    {
        builder.AddProvider(new XunitLoggerProvider(output));
        return builder;
    }
}